package com.zjsgfa.project.zjsgfa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zjsgfa.project.zjsgfa.mapper.SjLjfzqkMapper;
import com.zjsgfa.project.zjsgfa.domain.SjLjfzqk;
import com.zjsgfa.project.zjsgfa.service.ISjLjfzqkService;

/**
 * 邻井复杂情况Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-02-04
 */
@Service
public class SjLjfzqkServiceImpl implements ISjLjfzqkService 
{
    @Autowired
    private SjLjfzqkMapper sjLjfzqkMapper;

    /**
     * 查询邻井复杂情况
     * 
     * @param id 邻井复杂情况主键
     * @return 邻井复杂情况
     */
    @Override
    public SjLjfzqk selectSjLjfzqkById(Long id)
    {
        return sjLjfzqkMapper.selectSjLjfzqkById(id);
    }

    /**
     * 查询邻井复杂情况列表
     * 
     * @param sjLjfzqk 邻井复杂情况
     * @return 邻井复杂情况
     */
    @Override
    public List<SjLjfzqk> selectSjLjfzqkList(SjLjfzqk sjLjfzqk)
    {
        return sjLjfzqkMapper.selectSjLjfzqkList(sjLjfzqk);
    }

    /**
     * 新增邻井复杂情况
     * 
     * @param sjLjfzqk 邻井复杂情况
     * @return 结果
     */
    @Override
    public int insertSjLjfzqk(SjLjfzqk sjLjfzqk)
    {
        return sjLjfzqkMapper.insertSjLjfzqk(sjLjfzqk);
    }

    /**
     * 修改邻井复杂情况
     * 
     * @param sjLjfzqk 邻井复杂情况
     * @return 结果
     */
    @Override
    public int updateSjLjfzqk(SjLjfzqk sjLjfzqk)
    {
        return sjLjfzqkMapper.updateSjLjfzqk(sjLjfzqk);
    }

    /**
     * 批量删除邻井复杂情况
     * 
     * @param ids 需要删除的邻井复杂情况主键
     * @return 结果
     */
    @Override
    public int deleteSjLjfzqkByIds(Long[] ids)
    {
        return sjLjfzqkMapper.deleteSjLjfzqkByIds(ids);
    }

    /**
     * 删除邻井复杂情况信息
     * 
     * @param id 邻井复杂情况主键
     * @return 结果
     */
    @Override
    public int deleteSjLjfzqkById(Long id)
    {
        return sjLjfzqkMapper.deleteSjLjfzqkById(id);
    }
}
